<script type="text/javascript" src="data/javascript/jquery.min.js"></script>
<script type="text/javascript" src="data/javascript/jquery.ui.min.js"></script>
<script type="text/javascript" src="data/javascript/jquery.tools.min.js"></script>
<script type="text/javascript" src="data/javascript/jquery.datatables.min.js"></script>

<ul class="nav container nav-tabs border-bottom-0">
	<mx:bloc id="TabeB">
	<li mXattribut="class:TabeView">
		<a mXattribut="href:UrlTabeView" mXattribut="class:ClassTabeView">
            <i class="mr-1 fa fa-lg fa-<mx:text id="pictoTabe"/>"></i>
			<mx:text id="TabeNameView"/>
		</a>
	</li>
    </mx:bloc id="TabeB">
</ul>

<div class="tab-content container px-2 py-2 border">
	<!-- pour les infos courantes de l'interface -->
	 <div class="legend">
<!-- 		<h2><mx:text id="TabeBTabeNameView"/></h2> -->
		<p><h3><strong><mx:text id="ObjectName"/> (<mx:text id="ObjectType"/>) <mx:text id="nbRight"/> <mx:text id="TxtNbRight"/></strong></h3></p>
	</div> 
	<div class="tabe">
		<ul>
		<li id="startTabe" class="WindowTabeData"><a mXattribut="class:ClassTabeView">&nbsp;</a></li>
		<mx:bloc id="TabeSecond">
			<li mXattribut="class:TabeView"><a mXattribut="href:UrlTabeView"  mXattribut="class:ClassTabeView"><i class="mr-1 fa fa-lg fa-<mx:text id="pictoTabe"/>"></i><mx:text id="TabeNameView"/></a></li>
		</mx:bloc id="TabeSecond">
		<li id="endTabe" class="WindowTabeData"><a mXattribut="class:ClassTabeView">&nbsp;</a></li>
		</ul>
	</div>
	<div class="fieldset">
	<div class="box">
		<!-- <div class="legend"><h2><mx:text id="TabeSecondTabeNameView"/></h2><p><mx:text id="TxtRightInformation"/></p></div> -->
		<form name="configObject" method="post" mXattribut="action:urlAction">
		<input type="hidden" name="urlReturn" mXattribut="value:urlReturn" class="hidden"/>
		<div class="fieldset">
			<div class="legend"><mx:text id="TxtAddRight"/></div>
			<div class="field"><label><mx:text id="TxtAddNode"/></label><mx:select id="listNode"/></div>
			<div class="field"><label><mx:text id="TxtAddMethod"/></label><mx:select id="METHOD"/></div>
			<div class="action">&nbsp;&nbsp;<a href="javascript:visible('detail');" ><mx:text id="TxtDetail"/></a><br/>&nbsp;</div>
			<div id="detail" style="display:none">
				<div class="field">
					<label><mx:text id="TxtAddGroup"/></label><mx:select id="GROUP"/>
				</div>
				<div class="field">
					<label><mx:text id="TxtAddUser"/></label><mx:select id="USER"/>
				</div>
			</div>
			<div class="action">
				<input type="submit" name="BtnValid" mXattribut="value:BtnValid" class="save"/>
			</div>
		</div>
		</form>
		<div class="fieldset">
		<div class="legend"><mx:text id="TxtListRight"/></div>
		<div class="legende">
				<mx:text id="TxtLegend"/>
				<div class="linkdelete">&nbsp;</div><mx:text id="BtnDelete"/>
		</div>
<!-- 		<div id="TableauJsOrder"> -->
		<table cellspacing="0" id="tabRightAdmin" class="display" mXattribut="summary:TxtListright">
		<thead>
			<tr>
				<th class="header"><mx:text id="TxtGroupName_without_dots"/></th>
				<th class="header"><mx:text id="TxtUserName_without_dots"/></th>
				<th class="header"><mx:text id="TxtMethodName"/></th>
				<th class="header"><mx:text id="TxtTreeWay"/></th>
				<th class="header"><mx:text id="ActionObject"/></th>
			</tr>
		</thead>
		<tbody>
			<mx:bloc id="RIGHT">
			<tr mXattribut="class:lineStyle">
				<td><mx:text id="GroupName"/></td>
				<td><mx:text id="UserFirstName"/> <mx:text id="UserLastName"/></td>
				<td><mx:text id="MethodName"/></td>
				<td><mx:text id="NodeName"/></td>
				<td>
				<mx:bloc id="DELETE">
					<a mXattribut="href:urlDeleteObject" class="linkdelete" mXattribut="title:BtnDelete"></a>
				</mx:bloc id="DELETE">
				</td>
			</tr>
			</mx:bloc id="RIGHT">
		</tbody>
		</table>
<!-- 		</div> -->
		</div>
	</div>
	</div>
</div>
<script>
//<![CDATA[
$(document).ready(function() 
{ 
      $('#tabRightAdmin').dataTable( {
	      "bPaginate": true,
	      "sPaginationType": "full_numbers",
	      "bAutoWidth": true,
      // 	"bSort": true,
	      "aaSorting": [[ 0, "asc" ]],
	      "iDisplayLength": 10,
	      "aLengthMenu": [[5, 10, 25, -1], [5, 10, 25, "All"]],
		"oLanguage": {
			"sUrl": "data/message/<mx:text id="langCode"/>/datatables_rightadmin.txt"
		}
      } );
} 
);
// ]]>
</script>
<script type="text/javascript">
//<![CDATA[
function visible(element)
{
	// cas ns6
	if (document.getElementById)
	{
		if (document.getElementById(element).style.display=='none')
		{
			document.getElementById(element).style.display='';
		}
		else
		{
			document.getElementById(element).style.display='none';
		}
	}
	// cas ie 5.5
	else if (document.all)
	{
		if (document.all[element].style.display=='none')
		{
			document.all[element].style.display='';
		}
		else
		{
			document.all[element].style.display='none';
		}
	}
}
// ]]>
</script>
